import { System, SystemOptions, SystemBreakpoints, SystemZIndex, SystemFontSizes, SystemSpacing, SystemScale, SystemColorPalette, SystemBrandPalette, SystemType, SystemOptionalKey } from './types';
export { System, SystemOptions, SystemBreakpoints, SystemZIndex, SystemFontSizes, SystemSpacing, SystemScale, SystemColorPalette, SystemBrandPalette, SystemType, SystemOptionalKey, };
export declare const pxTo: (value: any, base?: number, unit?: string) => string;
export declare const toPx: (value: any, base?: number) => string;
export declare const parseUnit: (str: string) => string;
export default class DesignSystem<T extends System, K extends SystemOptions> {
    private opts;
    private ds;
    constructor(system: T, options?: K);
    multiply(initial: any, multiplier: number): number;
    get(value: string, obj?: any): any;
    bp(breakpoint: string): string;
    z(z: string): string;
    fontSize(size: string): string;
    fs(size: string): string;
    spacing(val: string | number): string;
    space(val: string | number): string;
    color(hue: string, variant?: string): string;
    brand(color: string): string;
}
